1. Levasca's Avatar
    Hey everyone got a Blackberry 7520. Everything works mms, u name it. Right now I am running 4.1 OS. Wondering if the 4.2 OS will work on it. Does anyone have the 7520 running an OS higher than 4.1 let me know?
    01-12-10 12:16 AM
  2. zues_1's Avatar
    everywhere iv'e visited so far says no. my desktop manager tells me i need it to transfer data though. is there a particular item you need 4.2 for?
    02-05-10 03:45 PM
  3. denison1g's Avatar
    i don't think so.
    02-12-10 01:16 AM
  4. n3ar1981's Avatar
    I haven't seen any bb 7520 upgraded to os4.2 don't think it can go any higher. Sorry buddy

    Posted from my CrackBerry at wapforums.crackberry.com
    03-31-10 01:39 AM
LINK TO POST COPIED TO CLIPBOARD